> For the complete documentation index, see [llms.txt](https://docs.aibrow.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aibrow.ai/api-reference/ai/aibrow.md).

# AIBrow

```javascript
import AI from '@aibrow/web'
console.log(AI.AIBrow)
```

The AIBrow llama.cpp extension implementation of AiBrow

## Properties

## Embedding

[`Embedding`](/api-reference/aibrow/embedding.md)

### LanguageDetector

[`LanguageDetector`](#languagedetector)

### LanguageModel

[`LanguageModel`](/api-reference/aibrow/languagemodel.md)

### Rewriter

[`Rewriter`](/api-reference/aibrow/rewriter.md)

### Summarizer

[`Summarizer`](/api-reference/aibrow/summarizer.md)

### Translator

[`Translator`](/api-reference/aibrow/translator.md)

### Writer

[`Writer`](/api-reference/aibrow/writer.md)

***

## Methods

### capabilities

`async capabilities() => { ready: boolean, helper: boolean, extension: boolean }`

Get the capabilities of the on-device language ai.

### getHelperDownloadUrl

`async getHelperDownloadUrl() => string`

Returns a link to download the AiBrow helper for this platform. This call relies on the network to fetch the latest request, so it should only be used as needed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aibrow.ai/api-reference/ai/aibrow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
